kitten-run-shell(1)

Name
kitten-run-shell - Run the user's shell with shell integration enabled

Usage
kitten run-shell [options] [optional cmd to run before running the shell ...]

Description
Run the users's configured shell. If the shell supports shell integration, enable it based on the user's configured shell_integration setting.

Options

--shell-integration
    Specify a value for the shell_integration option, overriding the one from kitty.conf.

--shell [=.]
    Specify the shell command to run. The default value of . will use the parent shell if recognized, falling back to the value of the shell option from kitty.conf.

--env
    Specify an env var to set before running the shell. Of the form KEY=VAL. Can be specified multiple times. If no = is present KEY is unset.

--cwd
    The working directory to use when executing the shell.

--inject-self-onto-path [=always]
    Add the directory containing this kitten binary to PATH. Directory is added only if not already present. Choices: always, never, unless-root

--help, -h [=no]
    Show help for this command